# Test examples for BV4618 I2C interface

# ESP8266 verison
# import i2c_u
# i = i2c_u.IIC()

# RPI version ** depends on python version
from sys import version_info
if version_info[0] < 3:
    import i2c_p_v2 as i2c_p
else:
    import i2c_p_v3 as i2c_p

i = i2c_p.IIC(1)

# OUTPUT
# back light off example
def blf():
    i.i2c(49,[0x1b,3,0],0)

# back light on example
def bln():
    i.i2c(49,[0x1b,3,1],0)

# set display rows and columns 
def setrc(lines, cols):
    i.i2c(49,[0x1b,0x30,lines],0)
    i.i2c(49,[0x1b,0x31,cols],0)
    
# clear screen
def cls():
    i.i2c(49,[0x1b,0x50],0)

# display text to particular row col   
def text(row,col,t):
    i.i2c(49,[0x1b,0x24,row,col],0) # move
    tmap = list(map(ord,t)) # list of ASC values
    i.i2c(49,tmap,0)  # send
       
# INPUT
# number of keys in buffer
def nkeys():
    return i.i2c(49,[0x1b,0x10],1)  

# gets key in buffer
def key():
    return i.i2c(49,[0x1b,0x11],1)  

if __name__ == "__main__":
    cls()
    text(1,1,'Line 1')
#    sleep(0.1)
    text(2,1,'Line 2')                
               